Bug 1010767 - py3k support?
py3k support?
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-tox (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On: 537246
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 23:14 EDT by Christopher Meng
Modified: 2015-11-20 02:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 02:52:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-09-22 23:14:06 EDT
Hi,

Its latest version is 1.6.1, and from pypi index I can see it supports py3.

From changelog I alos can see that you've disable py3k support.

Now we have a package which may use it for tests, can you update it with py3k enabled?
Comment 1 Michele Baldessari 2015-03-01 16:30:03 EST
Hi Matthias,

now that with python 3.3.0 virtualenv is part of the core and we have a pyvenv/pyvenv-3.4 command. Is the dep on #537246 still needed? From a quick
glance it seems that BZ could be closed now.

cheers,
Michele
Comment 2 Jaroslav Reznik 2015-03-03 10:05:52 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Michel Samia 2015-07-09 11:55:56 EDT
There is already tox 2.1.1, are you going to release the update? I need it especially for el6.
Comment 4 Matthias Runge 2015-07-09 15:35:13 EDT
Michel, I'm not sure, I really understand you. You want python3-tox in EL6?

It seems I can proceed here.
Comment 5 Michel Samia 2015-07-10 06:35:29 EDT
no, python-tox of course. But newer version. that it is there. I had some problem with the 1.4.x and upgrade helped. But installing it by pip isn't convenient. I perceive installing by pip to system path stupid (can easily collide with RPMs) and when I install it to home by --user switch, I don't have tox on $PATH
Comment 6 Matthias Runge 2015-07-10 09:08:51 EDT
Michel,
- please don't capture other bugs and write your requests there. This bug is about adding a python3 subpackage to tox. It is NOT(!) about upgrading to a later version in EPEL. For each request, please open a new report. It's better to differentiate then.
- About upgrades in epel: https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies
  This is something we can do, but we need to evaluate, if we don't break someone else.
Comment 7 Michel Samia 2015-07-10 10:05:49 EDT
Sorry for that, I just created a dedicated bug: https://bugzilla.redhat.com/show_bug.cgi?id=1241966
Comment 8 Petr Viktorin 2015-11-19 14:28:48 EST
I see that python3-tox is now in Fedora. Can this bug can be closed, or is there more to do?
Comment 9 Matthias Runge 2015-11-20 02:53:50 EST
Thank you Petr! This somehow dropped from my screen.

Note You need to log in before you can comment on or make changes to this bug.